## ros-kinetic-lex-common-msgs 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(lex_common_msgs)

find_package(catkin REQUIRED COMPONENTS
        std_msgs
        audio_common_msgs
        message_generation
        )

add_message_files(
        DIRECTORY msg
        FILES
        KeyValue.msg
)

add_service_files(
        DIRECTORY srv
        FILES
        AudioTextConversation.srv
)

# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

generate_messages(
        DEPENDENCIES
        std_msgs
        audio_common_msgs
)

catkin_package(
        CATKIN_DEPENDS message_runtime
)

=== debian/changelog ===
ros-kinetic-lex-common-msgs (2.0.2-1xenial) xenial; urgency=high

  * Update lex_common_msgs and lex_node versions to 2.0.2 (#30 <https://github.com/aws-robotics/lex-ros1/issues/30>)
  * Refactor to make use of lex-common package (#28 <https://github.com/aws-robotics/lex-ros1/issues/28>)
    * Refactor common components of lex-ros1 into lex-common
    * fix missing header file compilation error
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * increment patch version (#25 <https://github.com/aws-robotics/lex-ros1/issues/25>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Update package.xml
  * Contributors: AAlon, M. M, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 22 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-lex-common-msgs
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-audio-common-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/lex_common_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-lex-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-audio-common-msgs, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Common messages for interacting with Amazon Lex using the lex_node package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-lex-common-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
